use strict;
use warnings;
use Data::Dumper;
use feature qw(say);

my %hash = ( 'FOOBAR' => { 'NAME' => 'JOHN DOE' }, 'BLUB' => 0  );
my $hash_ref = \%hash;

$$hash_ref{'FOOBAR'}{'RESERVED'} = 1;

print Dumper $hash_ref;

say scalar(keys(%{$$hash_ref{'FOOBAR'}}));

# for (1) {
#     say 'foo';
# }

my $iteration = 0;

for (my $i=0; $i <= $iteration; $i++) {
   say "$i foo";
}